module Bliss
  module Client
    class Address
      include Virtus.value_object
      include Validation

      values do
        attribute :salutation, String
        attribute :line_1, String
        attribute :line_2, String
        attribute :line_3, String
        attribute :zip_code, String
        attribute :city, String
        attribute :country_iso3, String
      end

      validates_presence_of :salutation, :line_1, :zip_code, :city,
        :country_iso3
    end
  end
end
