module Bliss
  module Client
    class Size
      include Virtus.value_object

      values do
        attribute :id
        attribute :name
        attribute :rank
      end

      def self.all
        @all ||= begin
          response = Client.connection.get('sizes')
          if response.success?
            body = response.body
            body.map { |attr| new attr }
          else
            raise JSON.parse(response.body).fetch('message')
          end
        end
      end

      def self.find(id)
        all.find { |size| size.id == id }
      end

      def to_s
        "#{rank} | #{name}"
      end
    end
  end
end
