module Bliss
  module Client
    ValidationError = Class.new(StandardError)

    module Validation
      def self.included(klass)
        klass.send :include, ActiveModel::Validations
      end

      def validate!
        raise ValidationError, "#{self.class}: #{errors.full_messages.join(', ')}" unless valid?
      end
    end
  end
end
